Update a webhook endpoint
PATCH
/
v1
/
webhook-endpoints
/
{endpoint_id}
Update a webhook endpoint
curl --request PATCH \
--url https://api.us.poly.ai/v1/webhook-endpoints/{endpoint_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"url": "https://example.com/webhooks/polyai-v2",
"enabled": false
}
'import requests
url = "https://api.us.poly.ai/v1/webhook-endpoints/{endpoint_id}"
payload = {
"url": "https://example.com/webhooks/polyai-v2",
"enabled": False
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: 'https://example.com/webhooks/polyai-v2', enabled: false})
};
fetch('https://api.us.poly.ai/v1/webhook-endpoints/{endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "whe_9ZtRcXw3nByK5pVqMaEfJs",
"name": "<string>",
"url": "<string>",
"enabled": true,
"event_types": [],
"timeout_ms": 5000,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"headers": {}
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}Authorizations
Path Parameters
The endpoint_id must be a prefixed ID (e.g. whe_9ZtRcXw3nByK5pVqMaEfJs).
Pattern:
^whe_[A-Za-z0-9]+$Example:
"whe_9ZtRcXw3nByK5pVqMaEfJs"
Body
application/json
Response
Webhook endpoint updated successfully.
Pattern:
^whe_[A-Za-z0-9]+$Example:
"whe_9ZtRcXw3nByK5pVqMaEfJs"
Required string length:
1 - 255Available options:
alerts.triggered, alerts.resolved Required range:
1000 <= x <= 30000Show child attributes
Show child attributes
Last modified on March 19, 2026
Was this page helpful?
⌘I
Update a webhook endpoint

